/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
#ifndef _ESP32_ANALOG_WRITE_
#define _ESP32_ANALOG_WRITE_

#include "sim_compiler_definitions.h"

int analogWriteChannel(int pin);
void analogWriteConfigure(int pin, int channel, unsigned int resolution = SIM_PWM_RESOLUTION, float freq = 5000);
void analogWriteResolution(unsigned int res);
void analogWrite(int pin, unsigned int value);
void analogResetConfiguration(int pin);

void analogReadResolutionPin(unsigned char res, unsigned char pin);
void analogWriteResolutionPin(unsigned char res, unsigned char pin);

void pinCore(unsigned char pin, unsigned char mode, unsigned char core_idx);

#endif
