/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
#ifndef _ESP_THREAD_H_
#define _ESP_THREAD_H_

#include "sim_common_definitions.h"

#if defined (_BUILD_ARCH_OS) && !defined(_BUILD_HAS_SIM_PNL)
#include "cthread.h"
void* SimCreateThread(int (*thread_function)(void*), CTHREAD_PARAM *thread_param, int thread_priority, int core_idx);
void Sim_PreSimFunc();
void Sim_TimeStepStartFunc();
void Sim_TimeStepEndFunc();
void Sim_PlotStepFunc();
void Sim_PostSimFunc();
#endif

#endif//_ESP_THREAD_H_
